Scopes and client validation

List scopes

GEThttps://auth.agribus-connect.net/v1/agricultural-api/oauth/scopes

Returns the list of OAuth2 scopes for the Farm Machinery API

Authentication

None

Parameters

None

curl example

curl -X GET 'https://auth.agribus-connect.net/v1/agricultural-api/oauth/scopes'

Responses

200 — OK · */*

array<ScopeInfo>

[
  {
    "scope": "string",
    "displayName": "string",
    "description": "string"
  }
]

Generated from the production OpenAPI documents as of 2026-10-27